CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(SmaractComediTest)

FIND_PACKAGE(MorphoRobotX REQUIRED)

SET(QT_DONT_USE_QTGUI TRUE)
find_package (Qt4 REQUIRED QtCore)

INCLUDE_DIRECTORIES(SYSTEM ${QT_INCLUDE_DIR} ${MorphoRobotX_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${MorphoRobotX_EXTENSION_DIR}/include)
INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS(${QT_DEFINITIONS})
LINK_DIRECTORIES(${MorphoRobotX_EXTENSION_DIR})

ADD_LIBRARY(smaractcomeditest SHARED SmaractComediTest.cpp)
target_link_libraries(smaractcomeditest ${MorphoRobotX_LIBRARIES} smaract ${QT_LIBRARIES})

INSTALL(TARGETS smaractcomeditest LIBRARY DESTINATION ${MorphoRobotX_EXTENSION_DIR})

